﻿@using BookStore.ViewModels
@model BookGenreViewModel

@{
    ViewBag.Title = "Edit";
}

<h2>Edit</h2>
<hr />

<form method="post" action="/Book/Edit">
    <div class="form-horizontal">
        <label>Book Name:&nbsp</label><input type="text" name="Book.Name" value="@Model.Book.Name" placeholder="book name" />
        <label>Book Price:&nbsp</label><input type="text" name="Book.Price" value="@Model.Book.Price" placeholder="book price" />
        <label>Book Genre:&nbsp</label>
        <input type="hidden" name="Book.Id" value="@Model.Book.Id" />
        <select name="SelectedGenreId">
            @foreach (var item in Model.Genres)
            {
                <option value="@item.Id">@item.Name</option>
            }
        </select>
        <input type="hidden" name="Book.Deleted" value="@Model.Book.Deleted" />
        <input type="submit" value="Save" />
    </div>
</form>

<div class="center">
    @Html.ActionLink("Back to List", "Index")
</div>
